Body
This is the limit of the purchase orders.
This is the offset of the purchase orders.
This is the order direction of the purchase orders.
Response
This is the id of the purchase order.
This is the date the purchase order was created.
This is the date the purchase order was delivered.
This is the description of the purchase order.
This is the external id of the purchase order.
This is the financer of the purchase order.
This is the fulfiller of the purchase order.
This is the date the purchase order was last updated.
This is the date the purchase order was purchased.
This is the hash of the purchase order.
This is the name of the purchase order.
This is the number of the purchase order.
This is the status of the purchase order.
This is the purchaser of the purchase order.
This is the subtotal of the purchase order.
This is the total of the purchase order.
This is the vendor of the purchase order.
This is the transaction id of the purchase order.
curl --location --request GET 'https://api.stateset.com/v1/purchase_order/list' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query ($limit: Int!, $offset: Int!, $order_direction: order_by) {
purchasorder(limit: $limit, offset: $offset, order_by: {createdDate: $order_direction}) {
id
createdat
delivery_date
description
external_id
financer
fulfiller
lastupdated
purchase_date
purchase_order_hash
purchase_order_name
purchase_order_number
purchase_order_status
purchaser
subtotal
total
vendor
transaction_id
}
}
const purchaseorders = await stateset.purchaseorders.list({
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
});
purchaseorders = stateset.purchaseorders.list({
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
})
purchaseorders, err := stateset.purchaseorders.list(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
)
purchaseorders = Stateset::purchaseorders.List(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
)
purchaseorders = Stateset.purchaseorders.list(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
purchaseorders s = Stateset.purchaseorders.list(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
$purchaseorders = Stateset\purchaseorders::List(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/purchaseorder HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
{
"id": "po_1NXWPnCo6bFb1KQto6C8OWvE",
"createdat": "2021-04-20T20:00:00.000Z",
"delivery_date": "2021-04-20T20:00:00.000Z",
"description": "This is a purchase order.",
"external_id": "po_1NXWPnCo6bFb1KQto6C8OWvE",
"financer": "0x00000000",
"fulfiller": "0x00000000",
"lastupdated": "2021-04-20T20:00:00.000Z",
"purchase_date": "2021-04-20T20:00:00.000Z",
"purchase_order_hash": "0x00000000",
"purchase_order_name": "Purchase Order",
"purchase_order_number": "po_1NXWPnCo6bFb1KQto6C8OWvE",
"purchase_order_status": "0x00000000",
"purchaser": "0x00000000",
"subtotal": "0.00",
"total": "0.00",
"vendor": "0x00000000",
"transaction_id": "0x00000000"
}
}